Subject: Re: [Fot] RMVR at HPR

From: [email-masked]
Date: Wed, 22 May 2013 17:05:51 -0400 (EDT)

Thanks to you for working a corner and to all the workers who enabled us to run the long course.  I'm glad you enjoyed the weekend.  I hope to see you and Terry Davis at Hastings.

All who run High Plains give it high marks.  I hope that folks decide to take a tow out here and check it out.  It would be an outstanding track for a Kastner Cup except for it's relative remoteness for those who stay in Motels.   

I don't know if it's me but I'm unable to get any results on My Laps since they supposedly they "improved" the site.  If anyone knows anything about what's up with My Laps please share.  Due to Jim Gray having mechanical issues I was able to take D Production in the four races I ran with Jim Roelofs in lurking mode in his TR4. 

Dan Forgey

_______________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive